<cfcomponent>

	<cffunction name="QUERY" access="public" returntype="query">
		<cfargument name="SQLString" type="string" required="yes">
		<cfargument name="Datasource" type="string" required="no" default="#this.dsn#">
		<cfargument name="dbType" type="string" required="no" default="">		
		<CFQUERY NAME="RecordSet" Datasource="#arguments.Datasource#" dbtype="#arguments.dbType#">
			#preserveSingleQuotes(arguments.SQLString)#
		</CFQUERY>
		<cfreturn RecordSet>
	</cffunction>

	<cffunction name="OUTPUT" returntype="boolean" output="yes">
		<cfargument name="trace" type="string" default="nothing to output">
		<cfargument name="addLineBreak" type="boolean" default="false">		
			<CFOUTPUT>#arguments.trace#<CFIF addLineBreak><BR></CFIF></CFOUTPUT>
		<cfreturn true>
	</cffunction>

	<cffunction name="DUMP" access="public" returntype="boolean" output="yes">
		<cfargument name="var" type="any" default="nothing to output">
			<CFDUMP Var="#arguments.var#">
		<cfreturn true>
	</cffunction>

	<cffunction name="LOCATION" access="public" returntype="boolean" output="yes">
		<cfargument name="theURL" type="string"  required="yes">
		<cfargument name="addToken" type="boolean" default="NO">
			<cflocation url="#arguments.theURL#" addtoken="#arguments.addToken#">
		<cfreturn true>
	</cffunction>
		
</cfcomponent>

